### A free/open-source library for quantitative finance

Public Member Functions
AverageBMACoupon Class Reference

Average BMA coupon. More...

`#include <ql/cashflows/averagebmacoupon.hpp>`

Inheritance diagram for AverageBMACoupon:
[legend]

List of all members.

## Public Member Functions

| AverageBMACoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, const boost::shared_ptr< BMAIndex > &index, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date(), const DayCounter &dayCounter=DayCounter())
FloatingRateCoupon interface
Date | fixingDate () const
| not applicable here; use fixingDates() instead
std::vector< Date > | fixingDates () const
| fixing dates of the rates to be averaged
Rate | indexFixing () const
| not applicable here; use indexFixings() instead
std::vector< Rate > | indexFixings () const
| fixings of the underlying index to be averaged
Rate | convexityAdjustment () const
| not applicable here
Visitability
void | accept (AcyclicVisitor &)

## Detailed Description

Average BMA coupon.

Coupon paying a BMA index, where the coupon rate is a weighted average of relevant fixings.

The weighted average is computed based on the actual calendar days for which a given fixing is valid and contributing to the given interest period.

Before weights are computed, the fixing schedule is adjusted for the index's fixing day gap. See rate() method for details.